Subject: Re: bug#51821: 29.0.50; Suggest add variable or frame parameter: line-height

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Nov 2021 10:39:31 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 20 Nov 2021 09:26:19 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > No, it should fix both.  Did you try that?  If you did and it didn't
> > work, can you show a recipe from "emacs -Q" so I could investigate?
> 
> No, I only tested in buffers with a monospaced font and then read the
> doc string.
> 
> > The "default font" part above is an over-simplification: it is hard to
> > say something accurate enough in a single short sentence.  I did try
> > to explain it more in the rest of the doc string: this actually
> > affects any font which some face uses for ASCII characters.
> 
> Perhaps "default font(s)" would help.

For now, all of this seems like a moot point, since the "main
customer" doesn't seem to want this implementation anyway.

> > The separator lines are thus a very special
> > case, and if we want to solve that, we need a more focused solution.
> > For example, we could not stretch the height if the face's height is
> > below some threshold, on the assumption that such small fonts will
> > never used to display human-readable text.
> 
> Hm, yes, the separator lines are very special, and the :height thing is
> more a hack than anything else.  Perhaps we should just introduce a new
> spec, like :pixel-height that allows us to specify specifically how big
> the separator line should be.

Shouldn't it be enough to check that the face's height is less than 2
pixels, and if so, not to enlarge the height?

But again, this sounds like a moot point for now.